%define name	gpixpod
%define version	0.6.2
%define release %mkrel 5

Summary: 	Photo manager for capable iPods
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		http://prdownloads.sourceforge.net/%name/%name-%{version}.tar.xz
Patch:		gpixpod-0.6.2-close-about.patch
URL:		http://gpixpod.sourceforge.net/
License:	GPL
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	python-devel
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0-libglade pygtk2.0
Requires:	python-gobject
Requires:	dbus-python
Requires:	gnome-python gnome-python-gnomevfs
Requires:       python-imaging
Requires:       ImageMagick
Requires: 	python >= 2.7

%description
GPixPod is an application for uploading and organizing photos and photo albums
on recent Apple iPod models.

%prep
%setup -q
%patch -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT installed-docs
python setup.py install --root=$RPM_BUILD_ROOT

#menu

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 GPixPod_icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 GPixPod_icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 GPixPod_icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

mv %buildroot%_datadir/doc/%name installed-docs
mv %buildroot%py_platsitedir/gpixpod* %buildroot%_prefix/lib/%name/

#fix start
perl -pi -e "s|python2.4|python|" $RPM_BUILD_ROOT%{_bindir}/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc installed-docs/*
%{_bindir}/%name
%{_datadir}/%name
%_datadir/applications/*.desktop
%_prefix/lib/%name
%py_platsitedir/*
%_mandir/man1/%name.1*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Nov 26 2013 pinoc <vogtpet at gmail.com> 0.6.2-5pclos2013
- rebuild

* Tue Nov 09 2010 Texstar <texstar at gmail.com> 0.6.2-4pclos2010
- rebuild

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.6.2-3pclos2010
- Update

* Mon Jul 13 2009 slick50 <lxgator@gmail.com> 0.6.2-2-pclos2009
- rebuild against python 2.5
- added depends  

* Sat Feb 23 2008 Slick50 <linuxgator.org> 0.6.2-1-pclos2007
- initial build import from Mandriva


